Bug 138695 - new port - games/ioquake3-devel
Summary: new port - games/ioquake3-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-10 07:30 UTC by kamikaze
Modified: 2009-10-23 18:50 UTC (History)
0 users

See Also:


Attachments
file.shar (3.20 KB, text/plain)
2009-09-10 07:30 UTC, kamikaze
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2009-09-10 07:30:05 UTC
Port for ioquake3 SVN snapshots.

Fix: Patch attached with submission follows:
Comment 1 kamikaze 2009-09-11 18:12:21 UTC
Unfortunately I forgot a build dependency (svnversion). Here is a new
shar archive.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/games/ioquake3-devel
#	/usr/ports/games/ioquake3-devel/Makefile
#	/usr/ports/games/ioquake3-devel/pkg-message
#	/usr/ports/games/ioquake3-devel/pkg-descr
#	/usr/ports/games/ioquake3-devel/distinfo
#
echo c - /usr/ports/games/ioquake3-devel
mkdir -p /usr/ports/games/ioquake3-devel > /dev/null 2>&1
echo x - /usr/ports/games/ioquake3-devel/Makefile
sed 's/^X//' >/usr/ports/games/ioquake3-devel/Makefile << '8c64f5f5370d5c87f6b1cde60bed4a7c'
X# New ports collection makefile for:	ioquake3-devel
X# Date created:				31 Aug 2009
X# Whom:					Dominic Fandrey
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ioquake3-devel
XDISTVERSION=	1.36_SVN${SVNREVISION}
XMASTER_SITES=	ftp://deponie.yamagi.org/freebsd/distfiles/ioquake3/ \
X		http://deponie.yamagi.org/freebsd/distfiles/ioquake3/
X
XMAINTAINER=	kamikaze@bsdforen.de
XCOMMENT=	Development SVN snapshots of ioquake3
X
XBUILD_DEPENDS+=	svnversion:${PORTSDIR}/devel/subversion
X
XPLIST=		${.CURDIR}/../ioquake3/pkg-plist
XPATCHDIR=	${WRKDIR}/freebsd-patchset/
X
XSVNREVISION=	1583
XBINSUFFIX=	-devel
X
X.include "${.CURDIR}/../ioquake3/Makefile"
8c64f5f5370d5c87f6b1cde60bed4a7c
echo x - /usr/ports/games/ioquake3-devel/pkg-message
sed 's/^X//' >/usr/ports/games/ioquake3-devel/pkg-message << 'a45d214a8b98e711c6056921f426bbcb'
X==============================================================================
X
XThe input devices are now handled by SDL. Some mouse buttons will have
Xdifferent aliases and the mouse speed needs to be readjusted.
X
XThe configuration files are saved to ~/.ioquake3-devel instead of ~/.ioquake3
Xif you prefer both versions to share the configurations files create a
Xsymlink.
X
X==============================================================================
a45d214a8b98e711c6056921f426bbcb
echo x - /usr/ports/games/ioquake3-devel/pkg-descr
sed 's/^X//' >/usr/ports/games/ioquake3-devel/pkg-descr << '8ab4b841f37b77d1c5bb594f549131d0'
XThis project, icculus.org/quake3 (sometimes referred to ioquake3, or ioq3 for
Xshort) aims to build upon id Software's Quake 3 source code release. The
Xsource code was released on August 20, 2005 under the GPL. Since then, we have
Xbeen cleaning up, fixing bugs, and adding features. Our permanent goal is to
Xcreate the open source Quake 3 distribution upon which people base their games
Xand projects. We also seek to have the perfect version of the engine for
Xplaying Quake 3: Arena, Team Arena, and all popular mods. This distribution of
Xthe engine has been ported to many new platforms and has had a slew of new
Xfeatures added, along with massive bug extermination.
X
XWWW: http://ioquake3.org/
8ab4b841f37b77d1c5bb594f549131d0
echo x - /usr/ports/games/ioquake3-devel/distinfo
sed 's/^X//' >/usr/ports/games/ioquake3-devel/distinfo << '5e910aa3d448cb3ab21dd628daaa959d'
XMD5 (ioquake3-devel-1.36_SVN1583.zip) = 5a59062ce5779fe1985c40ece41c2722
XSHA256 (ioquake3-devel-1.36_SVN1583.zip) = 353f5bddbaed46323d4078e6907fcd602c771bd41fe641fc5b3ae67a187c1a88
XSIZE (ioquake3-devel-1.36_SVN1583.zip) = 5057370
5e910aa3d448cb3ab21dd628daaa959d
exit
Comment 2 kamikaze 2009-09-17 20:07:08 UTC
Anyone looking into this?
Comment 3 Dmitry Marakasov freebsd_committer 2009-10-23 15:19:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov freebsd_committer 2009-10-23 18:48:20 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 5 dfilter service freebsd_committer 2009-10-23 18:48:26 UTC
amdmi3      2009-10-23 17:48:12 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/ioquake3-devel Makefile distinfo pkg-descr pkg-message 
  Log:
  - Cleaned-up and enhaced version of Quake 3, SVN snapshot
  
  PR:             138695
  Submitted by:   Dominic Fandrey <kamikaze@bsdforen.de>
  
  Revision  Changes    Path
  1.1312    +1 -0      ports/games/Makefile
  1.1       +24 -0     ports/games/ioquake3-devel/Makefile (new)
  1.1       +3 -0      ports/games/ioquake3-devel/distinfo (new)
  1.1       +11 -0     ports/games/ioquake3-devel/pkg-descr (new)
  1.1       +10 -0     ports/games/ioquake3-devel/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"